<div class="trainers">
    <div class="container">
        <div class="row post" *ngFor="let trainer of trainers">
            <div class="col-md-12">
                <hr />
                <div class="post-title">
                    
                    <p class="postname"><img src="assets/images/{{trainer.userName}}.jpg" alt="" class="img-circle img-responsive">  {{trainer.firstName}} {{trainer.lastName}}</p>
                </div>

                <div>
                    <p class="post-text">{{trainer.userName}} is: Trainer</p>
                </div>
                <hr />
                <span>
                    <button class="login" (click)="goToUserProfile(trainer.userName)">
                        View Profile
                    </button>
                    <a class="login" routerLink="/message/{{trainer.userId}}">
                        Send Message
                    </a>
                </span>
            </div>
        </div>
    </div>
</div>